onEvent('block.right_click', event => {
    if (event.hand == MAIN_HAND)
		
    if (event.item.id == 'minecraft:blaze_powder')
    if (event.block.id == 'kubejs:silt')
	{
      event.server.schedule(500, event.server, function (callback) {
callback.server.runCommandSilent(`execute as ${event.player.name} in ${event.player.world.dimension} run summon minecraft:blaze ${event.block.x} ${event.block.y+1} ${event.block.z}`);
    
    if (!event.player.isCreativeMode()) {event.item.setCount(event.item.getCount() - 1)}})
	}

   




	
})


